Package org.eclipse.birt.chart.factory

# Class DataRowExpressionEvaluatorAdapter

java.lang.Object
org.eclipse.birt.chart.factory.DataRowExpressionEvaluatorAdapter

All Implemented Interfaces:
  `IDataRowExpressionEvaluator`

public class DataRowExpressionEvaluatorAdapter extends Object implements IDataRowExpressionEvaluator
An adapter class for IDataRowExpressionEvaluator

## Constructor Summary

Constructors
Constructor
Description
`DataRowExpressionEvaluatorAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes the underlying resultset.
`Object`
`evaluate(String expression)`
Evaluates the expression based on the current row
`Object`
`evaluateGlobal(String expression)`
Evaluates the global expressions which are not associated with the data rows.
`boolean`
`first()`
Moves to the first row.
`boolean`
`next()`
Moves to the next row.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataRowExpressionEvaluatorAdapter

public DataRowExpressionEvaluatorAdapter()

## Method Details

### evaluate

public Object evaluate(String expression)
Description copied from interface: `IDataRowExpressionEvaluator`
Evaluates the expression based on the current row

Specified by:
  `evaluate` in interface `IDataRowExpressionEvaluator`
Returns:
  An Object representing the evaluated expression. The Object must be of a type String, Number, Date, Calendar, or it will be evaluated as a String using toString(). If there is any BirtException being caught by evaluation, the return value will be the caught BirtException.

### evaluateGlobal

public Object evaluateGlobal(String expression)
Description copied from interface: `IDataRowExpressionEvaluator`
Evaluates the global expressions which are not associated with the data rows.

Specified by:
  `evaluateGlobal` in interface `IDataRowExpressionEvaluator`
Returns:
  An Object representing the evaluated expression. The Object must be of a type String, Number, Date, Calendar, or it will be evaluated as a String using toString().

### first

public boolean first()
Description copied from interface: `IDataRowExpressionEvaluator`
Moves to the first row. Optional if already positioned on the first row when passed to Generator.bindData()

Specified by:
  `first` in interface `IDataRowExpressionEvaluator`
Returns:
  `true` if the cursor is on a valid row; `false` if there are no rows in the result set

### next

public boolean next()
Description copied from interface: `IDataRowExpressionEvaluator`
Moves to the next row.

Specified by:
  `next` in interface `IDataRowExpressionEvaluator`
Returns:
  False if the last row has been reached. True otherwise.

### close

public void close()
Description copied from interface: `IDataRowExpressionEvaluator`
Closes the underlying resultset. This is optional (it can be a no-op if the close is handled externally or not needed).

Specified by:
  `close` in interface `IDataRowExpressionEvaluator`